<?php

namespace DigiComp\PhpCodesniffer\DigiComp\Sniffs\Annotations;

use SlevomatCodingStandard\Sniffs\TestCase;

class VarIsLastTagOnPropertySniffTest extends TestCase
{
    public function testErrors(): void
    {
        $report = self::checkFile(__DIR__ . '/data/PropertyOrder.php');
        self::assertSame(2, $report->getErrorCount());
    }

    public function testIgnoreVarTag(): void
    {
        $withoutErrors = self::checkFile(__DIR__ . '/data/Child.php');
        self::assertSame(0, $withoutErrors->getErrorCount());
    }
}
